Subject: Re: bug#20678 new bug that Paul "asked" for... grep -P aborts on non-utf8 input.

From: Linda Walsh <[email-masked]>
Date: Wed, 27 May 2015 15:24:03 -0700

Paul Eggert wrote:
> On 05/27/2015 02:41 PM, L. A. Walsh wrote:
>> *** file = libvtkUtilitiesPythonInitializer-pv4.2.so.1
>> grep: invalid UTF-8 byte sequence in input 
> 
> This looks like you're using an old version of libpcre, or of grep. I 
> can't reproduce the problem with the latest stable versions of both 
> (libpcre 8.37, grep-2.21).  I can find similar problems if I use old 
> libpcre.
---

ok... ARG -- I just installed the new version of grep from
my distro (suse13.2) -- grep-2.20-2.4.1.x86_64

I think they'll be out with a new distro release in about
a year...(yes, I can probably build my own...like I have
to with a growing body of Software) -- something that has
gotten me in trouble with my distro at times when I've caught
them locking different pieces of software to specific 
libraries (not >== xxx but "==")... grrr...I could acknowledge
their point that most people wouldn't bother rebuilding 
all the perl modules if they upgraded perl... but that's
not *everyone*!...sigh.

coreutils isn't as stable as it used to be (not entirely the
CU-devel team either: I've caught suse's hand in 1-2)...

Just ran into problems in their new gvim & sudo -- I think
the sudo prob is the sudo-dev team...but the gvim I filed
a bug on in previous version... guess it didn't get fixed.

Filing bugs more often than not is a big waste of time.
*grump* *grump*...

;-)